2002-11-04  Fumitoshi UKAI  <ukai@debian.or.jp>

	* src/libs/libgroff/encoding.cc: for C or POSIX locale,
		use ascii8 encoding handler
	* font/devX*: new font desc for M, G
	* src/xditview: support ENABLE_MULTIBYTE (Japanese only?)

2002-10-09  Fumitoshi UKAI  <ukai@debian.or.jp>

	* update groff-1.18-7

2002-09-23  Fumitoshi UKAI  <ukai@debian.or.jp>

	* src/roff/troff/input.cc: fix bug in wchar_charinfo()
				check u<CODE> where <CODE> is 4- HEX chars
	* src/device/grohtml/post-html.cc: works ENABLE_MULTIBYTE
	* font/devhtml: add font M, G for Japanese

2002-09-22  Fumitoshi UKAI  <ukai@debian.or.jp>

	* new multibyte patch

2001-08-16  Fumitoshi UKAI  <ukai@debian.or.jp>

	* tmac/euc-jp.tmac:
	  fix disappearing `-' char

2001-07-21  Fumitoshi UKAI  <ukai@debian.or.jp>

	* add ENABLE_MULTIBYTE support to src/xditview

2001-07-20  Fumitoshi UKAI  <ukai@debian.or.jp>

	* introduce "fontset" in font/*/DESC
	  obsoletes "ondemand"

2001-07-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* don't use input_encoding->is_wchar_code()
	* fix troffrc empty line
	* fix duplicate strcasecmp()

2001-07-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* sub font selection move into environment::add_char()
	  it makes possible to use \[uni<code>]

2001-07-19  Fumitoshi UKAI  <ukai@debian.or.jp>

	* use generic iconv_handler instead of euc_handler
	* internal code now uses UCS-2

2001-07-19  Fumitoshi UKAI  <ukai@debian.or.jp

	* wchar%x -> uni%X
	  - still no code conversion
	  - font description is not accurate
	* change "fixed" to charset range

2001-07-18  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Configuration Change: 
	   obsolete: --enable-japanese (#ifdef NIPPON) 
	   new:      --enable-multibyte (#ifdef ENABLE_MULTIBYTE)

2001-07-18  Fumitoshi UKAI  <ukai@debian.or.jp>

	* create charinfo for wchar on demand (src/roff/troff/input.cc)
	* use "fixed" for font wchar metric (src/libs/libgroff/font.cc)
	  - font/*/M,G

2001-07-17  Fumitoshi UKAI  <ukai@debian.or.jp>

	* add utf8 encoding handler to src/libs/libgroff/encoding.cc
	   (this utf8 encodig handler is too slow!)

2001-07-15  Fumitoshi UKAI  <ukai@debian.or.jp>

	* based on groff 1.17.2-1
	* use src/include/encoding.h instead of eucmac.h
	* introduce src/libs/libgroff/encoding.cc
	* introduce tmac/euc-jp.tmac for EUC-JP documents

2001-05-24  Fumitoshi UKAI  <ukai@debian.or.jp>

	* Apply for groff-1.17

2000-01-06  Yoshiaki Yanagihara  <yochi@debian.or.jp>

	* Apply japanese patch "jgroff-0.101"
	  (thanks hanataka@abyss.rim.or.jp).
	* Added japanese extention option at configure.in, aclocal.m4.

Sat Jan  1 17:10:32 JST 2000  HANATAKA Shinya  <hanataka@abyss.rim.or.jp>

	* jgroff-0.100 をそのまま groff-1.14 に適用して jgroff-101
	  とした。
	* grohtml を日本語に対応させる。
	* 日本語マニュアル用に tmac.docj と tmac.andocj マクロを追加。

Sun Mar 15 18:23:12 1998  Yoshiaki Yanagihara  <yochi@debian.or.jp>

	* jgroff のベースを groff-1.11a に変更し、jgroff-0.99パッチを
	  適用したものを jgroff-0.100 とした。
	  基本的に jgroff-0.99 と機能は同じ *はず*。

Fri Dec 22 11:47:46 1995  Kitagawa Toshiyuki  <tm-kita@kh.rim.or.jp>

	* バージョン0.99。

Mon Dec 18 18:28:37 1995  Kitagawa Toshiyuki  <tm-kita@kh.rim.or.jp>

	* tmac/Makefile.sub: ターゲット stamp-wrap、uninstall_sub が一部
	OSのshで構文エラーとなるオリジナルバグを修正。

Wed Dec 13 15:09:26 1995  Kitagawa Toshiyuki  <tm-kita@kh.rim.or.jp>

	* jgroff.sh: オリジナルでインストールパスが変更されたのに合わせ、
	GROFF_TMAC_PATH、GROFF_FONT_PATHをshare/groff配下に変更。

Sat Dec  9 15:28:36 1995  Kitagawa Toshiyuki  <tm-kita@kh.rim.or.jp>

	* wchar.hからeucmac.hにファイル名を変更。

Fri Dec  8 12:15:47 1995  Yoshio Takaeda  <shio@yinyan.bekkoame.or.jp>

	* troff/env.cc(add_char): 『ASCII文字 + 改行コード + EUC文字』という
	パターンの時、改行コードがスペースに変換されないバグを修正。

Thu Dec  7 21:35:06 1995  Yanagihara Yoshiaki  <yosiaki@bsd2.kbnes.nec.co.jp>

	* troff/input.cc (process_input_stack): gcc-2.7.0で変数定義がスコープ
	違反となってしまう箇所を修正。

Thu Dec  7 21:35:06 1995  Yanagihara Yoshiaki  <yosiaki@bsd2.kbnes.nec.co.jp>

	* jgroffのベースソースをgroff-1.10に変更。

Thu Apr  6 16:56:32 1995  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* devdvi/M.proto-NTT: DNPのpkフォントのチェックサム値が0なので、こ
	れに合わせてchecksumの値を0に変更。

Mon Apr  3 20:36:37 1995  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* troff/env.cc (possibly_break_line):
	lineリスト中のkword_space_nodeを調整する処理で、line中にこのノード
	が含まれていない場合は処理をスキップするようにした(EUCコードを含ま
	ないroffを処理する場合にはkword_space_nodeは現れないので処理が高速
	化される)。

Mon Apr  3 20:36:37 1995  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* troff/env.cc (add_char): hwkern、vlowerの初期化はdevice初期化後
	に一度だけ行えば良いのでenvironmentクラスのコンストラクタでこれを
	行うように変更。

Sat Apr  1 17:57:23 1995  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* troff/input.cc (mount_on_demand): on demandでマウントされるフォ
	ント名をデバイスごとのDESCファイルで指定できるように変更。
	ディレクティブondemandで指定したフォントがon demandでマウントされる。

Fri Mar 31 20:23:43 1995  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* libgroff/font.cc (load): 漢字フォントファイル用にディレクティブ
	fixedkanjiを追加。これは各文字のメトリックが全て同じである事を指定
	するもので、fixedkanjiが指定されている場合はcharsetは評価されない
	ため漢字フォントのロードが速い。

Thu Mar 30 18:20:24 1995  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* troff: node識別を文字列比較で行っていたが高速化のため数値比較に
	変更した。

Wed Mar 29 20:20:49 1995  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* troff/input.cc: 漢字フォント(MとG)をon demandでマウントするよう
	に変更。これによって漢字を含まないroffファイルの処理時間が高速化さ
	れた。

Fri Mar 10 15:34:26 1995  Shigeki Yoshida <shige@theta.iis.u-tokyo.ac.jp>

	* troff/input.cc (process): geqnで、

		.EQ
		要素 sub 記号
		.EN

	を処理すると、"illegal token in argument to \Z"となってしまうバグ
	(\Zシーケンスの引数にEUC文字が来た場合の対応漏れ)を修正。

Mon Feb  6 11:22:33 1995  Yoshio Takaeda <e50110@sakura.kudpc.kyoto-u.ac.jp>

	* troff/input.cc: 行頭禁則文字のEUCコードの一部が不正。

Mon Jan 30 14:02:54 1995  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* バージョン0.97。

Fri Dec 10 14:26:14 1994  Kazutaka YOKOTA <yokota@zodiac.mech.utsunomiya-u.ac.jp>

	* devdvi/M.proto: NTT JTeXとASCII日本語TeX両方のdviファイルを扱えるよう
	M.protoファイルを変更。

Fri Dec  9 14:26:14 1994  Kazutaka YOKOTA <yokota@zodiac.mech.utsunomiya-u.ac.jp>

	* troff/node.cc: boldfont_list[]にフォント名 B を登録していなかっ
	たため、dviファイルにゴシック体が出力されていなかった。

Fri Dec  9 14:23:22 1994  Kazutaka YOKOTA <yokota@zodiac.mech.utsunomiya-u.ac.jp>

	* grotty/tty.cc (add_char): EUC文字に対してWCHAR_MODEを設定してい
	なかったため、tty出力でゴシック体が二重打ちされていなかった。

Fri Dec  9 14:19:33 1994  Kazutaka YOKOTA <yokota@zodiac.mech.utsunomiya-u.ac.jp>

	* devdvi/Makefile.sub: フォントファイル G で、nameディレクティブが
	`name M'になっている。

Wed Nov 30 13:24:54 1994  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* バージョン0.96。

	* grodvi/dvi.cc: FreeBSD 1.1.5Rのstrcmp(3)では引数にヌルポインタを
	渡すとコアダンプしてしまうので、これを回避するコードを追加した。

Tue Nov 29 13:52:54 1994  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* troff/input.cc: EUCのスペース文字(0xa1a1)はASCIIのスペース文字と
	して処理するよう修正。

	* devnippon/createM: JISX0208において文字が未定義の部分については
	フォントファイルに出力しないよう修正。

Mon Nov 28 18:15:31 1994  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* grodvi/dvi.cc: grodviを日本語化した。

Fri Nov 25 15:39:05 1994  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* troff/env.cc: EUC文字で始まる行に対して均等割り付けが行われた場
	合、行頭に余分な空白が入る事があったのでこれを修正した。

Fri Nov 18 20:19:55 1994  Masubuchi Toshimichi <tmasu@st.rim.or.jp>

	* devnippon/createM.c: createMの終了ステータスが不定になるため、
	makeが終了してしまう。createMの終了ステータスが0になるよう修正。

	* devnippon/Makefile.sub: PATH環境変数にカレントディレクトリが含ま
	れていない場合、devnippon/Mをmakeする時点でcreateMが見つからずmake
	エラーになるバグを修正。

Thu Nov 17 17:11:26 1994  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* devnippon/createM.c: gets()をfgets()に変更。

Sat Nov 12 13:38:19 1994  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* バージョン0.95。

	* troff/env.cc: .stt リクエストを追加(ローカルなマニュアル書式に合
	わせるため -> このリクエストは非公開)。

	* troff/input.cc (init_charset_table): ASCIIの行頭禁則文字として
	,:;>}を追加した。

	* EUCフォントファイルは、make時にツールによって生成するよう変更。
	これによりpatchサイズがかなり小さくなった。

Fri Nov 11 20:53:00 1994  Kitagawa Toshiyuki  <kitagawa@bsd2.kbnes.nec.co.jp>

	* troff/env.cc (add_char): <EUC文字> + <ASCII文字>の場合、間に入れ
	る空白は禁則に違反しないかぎりブレーク可能な空白が入るよう修正した。


Tue Oct 25 04:46:09 1994  Kitagawa Toshiyuki  (kitagawa@bsd2.kbnes.nec.co.jp)

	* バージョン0.94。

	* libdriver/input.cc (do_file): -Tlatin1でEUCではない文字コードを
	EUCと判断してしまうバグを修正。

Mon Oct 24 07:16:19 1994  Kitagawa Toshiyuki  (kitagawa@bsd2.kbnes.nec.co.jp)

	* troff/node.cc (is_boldfont): FreeBSD 1.1.5で、ゼロ番地参照のためコ
	アダンプするバグを修正。

	* indxbib/dirnamemax.c: FreeBSD 1.1.5はpathconf()を持っていないので
	_POSIX_VERSIONをundefした。

	* バージョン0.93。

	* geqnを日本語化した。

	* devps/DESCのwcharkernを設定すると行頭に空白が入ってしまうバグの
	修正方法を変更。

Sat Oct 22 08:19:15 1994  Kitagawa Toshiyuki  (kitagawa@bsd2.kbnes.nec.co.jp)

	* バージョン0.90。

	* xtotroffを日本語化。

Fri Oct 21 05:33:02 1994  Kitagawa Toshiyuki  (kitagawa@bsd2.kbnes.nec.co.jp)

	* devps/DESCのwcharkernを設定すると行頭に空白が入ってしまう事があ
	ったので、これを修正。

	* pre-releaseバージョン。

	* gxditviewを日本語化した(フォントメトリックの取り出しがいい加減)。

Thu Oct 20 05:23:09 1994  Kitagawa Toshiyuki  (kitagawa@bsd2.kbnes.nec.co.jp)

	* フォント番号3にボールド体以外のフォントをマウントした場合、漢字フォ
	ントがゴシック体になってしまうバグを修正。

Wed Oct 19 06:48:55 1994  Kitagawa Toshiyuki  (kitagawa@bsd2.kbnes.nec.co.jp)

	* betaバージョン。

Tue Oct 18 05:02:59 1994  Kitagawa Toshiyuki  (kitagawa@bsd2.kbnes.nec.co.jp)

	* pic: 
	gpicを日本語対応した。

	* tbl: 
	gtblを日本語対応した。

	* troff/troff: 
	Times-Bold以外のボールド体がカレントフォントの時、漢字フォントがゴ
	シックに切り替わらないバグを修正。

	* troff/troff: 
	DESCにディレクティブwcharkernを追加し、ASCII文字とEUC文字の間に、
	指定したunit数だけbreak不可能な空白を入れるようにした。

	* troff/troff: 
	DESCにディレクティブlowerwcharを追加し、ASCII文字に対してEUC文字を、
	指定したunit数だけ下げるようにした(ASCII文字が落ち込んで見えるため)。
	
Fri Oct 14 08:29:06 1994  Kitagawa Toshiyuki  (kitagawa@bsd2.kbnes.nec.co.jp)

	* aplahバージョン。
